Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder.resultsfilter
Class LatestTwentyFiveBuildResultsFilter

    java.lang.Object
      com.atlassian.bamboo.builder.resultsfilter.LatestTwentyFiveBuildResultsFilter

All Implemented Interfaces:
  BuildResultsFilter

    public class LatestTwentyFiveBuildResultsFilter

extends Object
implements BuildResultsFilter

This class provides a the latest 25 build result summaries for a given build.

Version:
  $Id: LatestTwentyFiveBuildResultsFilter.java,v 1.3 2005/01/16 22:57:31 andy Exp $

Constructor Summary
`LatestTwentyFiveBuildResultsFilter()`

Method Summary
`List` | `getBuildResultsForBuild(Build build)` Obtain the most recent 25 `BuildResultsSummary` objects for the given build.
`String` | `getCookieKey()` The key to store in the cookie.
`String` | `getLabel()` The filter's label in the gui

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LatestTwentyFiveBuildResultsFilter

    public LatestTwentyFiveBuildResultsFilter()

Method Detail

### getLabel

    public String getLabel()

  The filter's label in the gui

  Specified by:
    `getLabel` in interface `BuildResultsFilter`
  Returns:
    The text to appear in the web drop down

### getCookieKey

    public String getCookieKey()

  Description copied from interface: `BuildResultsFilter`
  The key to store in the cookie.

  Specified by:
    `getCookieKey` in interface `BuildResultsFilter`
  Returns:

### getBuildResultsForBuild

    public List getBuildResultsForBuild(Build build)

  Obtain the most recent 25 `BuildResultsSummary` objects for the given build.

  Specified by:
    `getBuildResultsForBuild` in interface `BuildResultsFilter`
  Parameters:
    `build` - the build who's build result summaries we're after
  Returns:
    The latest 25 build result summaries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.